Subject: [bug#54299] [PATCH 09/27] added [email-masked]

From: Maxime Devos <[email-masked]>
Date: Mon, 21 Mar 2022 19:55:52 +0100

Till Robin Zickel schreef op zo 20-03-2022 om 22:11 [+0100]:
> This is a library crate, so there is no need to build it, right?

By building it, syntax errors, API mismatches, etc. are detected
earlier, making updating the crate and its dependents less error-prone.

And from (guix)Rust Crates:

     Care should be taken to ensure the correct version of
     dependencies are used; to this end we try to refrain from skipping
     the tests or using ‘#:skip-build?’ when possible. 

Additionally, compiling libraries earlier can save compile time later
(*). Imagine having to rebuild glibc and gtk every time a new graphical
application using gtk is packaged ...

(*) There might currently be technical problems with rust and shared
libraries preventing this from working though.  Or maybe they have been
resolved, I dunno.

Greetings,
Maxime.